Changes in contrib/tools/random_check.sh [1b20da0:a35b458] in mainline
- File:
-
- 1 edited
-
contrib/tools/random_check.sh (modified) (5 diffs)
Legend:
- Unmodified
- Added
- Removed
-
contrib/tools/random_check.sh
r1b20da0 ra35b458 88 88 COUNTER=$(( $COUNTER + 1 )) 89 89 echo "Try #$COUNTER ($FAILED failed):" >&2 90 90 91 91 ( 92 92 echo " Cleaning after previous build." >&2 93 93 make distclean -j$JOBS 2>&1 || exit 1 94 95 94 95 96 96 echo " Preparing random configuration." >&2 97 97 # It would be nicer to allow set the constraints directly to … … 105 105 exit 2 106 106 fi 107 107 108 108 make random-config 2>&1 || exit 1 109 109 110 110 tr -d ' ' <Makefile.config >"${FILENAME_PREFIX}config.trimmed" 111 111 112 112 THIS_CONFIG_OKAY=true 113 113 while read pattern; do … … 117 117 fi 118 118 done <"$PRUNE_CONFIG_FILE" 119 119 120 120 rm -f "${FILENAME_PREFIX}config.trimmed" 121 121 122 122 if $THIS_CONFIG_OKAY; then 123 123 break 124 124 fi 125 125 done 126 127 126 127 128 128 # Report basic info about the configuration and build it 129 129 BASIC_CONFIG=`sed -n \ … … 134 134 | paste '-sd,' | sed 's#,#, #g'` 135 135 echo -n " Building ($BASIC_CONFIG)... " >&2 136 136 137 137 make -j$JOBS 2>&1 138 138 if [ $? -eq 0 ]; then … … 143 143 exit 1 144 144 fi 145 145 146 146 ) >random_run_$COUNTER.log 147 147 RC=$? 148 148 149 149 if [ $RC -ne 0 ]; then 150 150 tail -n 10 random_run_$COUNTER.log | sed 's#.*# | &#' 151 151 FAILED=$(( $FAILED + 1 )) 152 152 fi 153 153 154 154 if [ -e Makefile.config ]; then 155 155 cp Makefile.config "$FILENAME_PREFIX$COUNTER.Makefile.config"
Note:
See TracChangeset
for help on using the changeset viewer.
